/*
 * T-Plan Robot Enterprise, automated testing tool.
 * Copyright (C) 2009-2013 T-Plan Limited (http://www.t-plan.com),
 * Cloisters House, 8 Battersea Park Road, London, SW8 4BG, United Kingdom.
 * All rights reserved.
 */
package com.tplan.adb;

/**
 * Constants.
 */
interface Constants {
    // Link to the online plugin web page
    static final String PLUGIN_DOC_URL = "http://www.t-plan.com/robot/docs/plugins/adbextension.html";
    // Link to the locally installed "Execution Log" help file
    static final String EXEC_LOG_HELP_URL = "http://localdoc/gui/execlog.html";
    // Link to the locally installed "TPR Language Reference" help file
    static final String TPR_SCRIPT_HELP_URL = "http://localdoc/scripting/commref.html";
    // Link to the locally installed "DefaultJavaTestScript" help file
    static final String JAVA_SCRIPT_HELP_URL = "http://localdoc/api/com/tplan/robot/scripting/DefaultJavaTestScript.html";
    // Link to the locally installed "Android Over ADB" help file
    static final String ANDROID_OVER_ADB_URL = "http://localdoc/scripting/android.html";
    // Link to the "adb pull/push" command help
    static final String ADB_FILE_HELP_URL = "http://developer.android.com/tools/help/adb.html#copyfiles";
    // Link to the "adb install" command help
    static final String ADB_INSTALL_HELP_URL = "http://developer.android.com/tools/help/adb.html#pm";
    // Link to the uninstall command help
    static final String ADB_UNINSTALL_HELP_URL = "http://developer.android.com/tools/help/adb.html#move";
    // Link to the shell command help
    static final String ADB_SHELL_HELP_URL = "http://developer.android.com/tools/help/adb.html#shellcommands";
}
